POST
/
perks
/
consumers
Enroll a consumer into the perks program (accept CGU).
curl --request POST \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"id": "consumer-12345",
"extra_consents": [],
"removed_consents": []
}
'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers"
payload = {
"id": "consumer-12345",
"extra_consents": [],
"removed_consents": []
}
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 'consumer-12345', extra_consents: [], removed_consents: []})
};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "consumer-12345"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Required string length:
2 - 100Pattern:
^[a-zA-Z0-9_-]+$Example:
"consumer-12345"
Available options:
BASIC, TRANSACTION_TRIGGERS, TARGETING, STATISTICS, SMART_RANKING, WEB_ANALYTICS Available options:
BASIC, TRANSACTION_TRIGGERS, TARGETING, STATISTICS, SMART_RANKING, WEB_ANALYTICS Response
Successful Response
Example:
"consumer-12345"
Was this page helpful?
⌘I
Enroll a consumer into the perks program (accept CGU).
